summaryrefslogtreecommitdiffstats
path: root/K_belwagen/alarm
diff options
context:
space:
mode:
Diffstat (limited to 'K_belwagen/alarm')
-rwxr-xr-xK_belwagen/alarm27
1 files changed, 27 insertions, 0 deletions
diff --git a/K_belwagen/alarm b/K_belwagen/alarm
new file mode 100755
index 00000000..a117c433
--- /dev/null
+++ b/K_belwagen/alarm
@@ -0,0 +1,27 @@
+#! /bin/sh
+#
+# //Kübelwagen/alarm SLEEPARGS...
+#
+# where SLEEPARGS are passed to sleep(3)
+#
+set -euf
+cd $(dirname $(readlink -f $0))
+exec >&2
+
+make
+
+jackd -d alsa &
+trap "kill -0 $! && kill $!" EXIT INT
+
+for i in `seq 8000 1000 10000`; do
+ echo $i 100
+done | ./a.out 1
+echo 'if you heard that sound, then goto sleep..^_^'
+
+echo sleep "$@"
+sleep "$@"
+
+echo 'wake up!'
+while :; do
+ echo $(echo "($(od -tu -An -N 2 /dev/urandom)%1000)+500"|bc) $(echo "($(od -tu -An -N 2 /dev/urandom)%500)+100"|bc)
+done | ./a.out 1